%define version      1.04
%define release  %mkrel 8

Summary: Filebrowser with an unusual display layout
Name: ktb
Version: %version
Release: %release
License: GPL
Group: File tools
Source: http://www.koeniglich.de/packages/ktb-%{version}.tar.gz
Source1: %{name}16x16.png
Source2: %{name}32x32.png
Source3: %{name}48x48.png
Patch0: ktb-1.04-qt-build.patch.bz2
BuildRoot: %_tmppath/%name-%version-root 
URL: http://www.koeniglich.de/tb.html
BuildRequires: kdebase-devel qt3-devel
BuildRequires: tiff-devel

%description

Ktb displays the filesystem with an unusual layout algorithm. The layout,
fonts, colors, background and icons are modifiable. A certain view
can be saved and loaded or printed on Postscript printers.

%prep
%setup -q
%patch0 -p1 -b .find-moc
%if %_lib == lib64
  sed -i 's|/lib|/lib64|g' Makefile.in
%endif

%build
%configure
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

#menu

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}" \
title="Ktb" \
longtitle="A file tree browser" \
needs="x11" \
icon="%name.png" \
section="System/File Tools" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Ktb
Comment=A file tree browser
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-FileTools;System;FileManager;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
cp %SOURCE3 %buildroot/%_liconsdir/%name.png
cp %SOURCE2 %buildroot/%_iconsdir/%name.png
cp %SOURCE1 %buildroot/%_miconsdir/%name.png 

%post
%update_menus

%postun
%clean_menus

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%{_prefix}/bin/%{name}
%{_docdir}/ktb-%{version}/*
%{_docdir}/HTML/en/ktb/*
%{_menudir}/*
%{_datadir}/applications/%{name}.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.04-8mdv2008.1
+ Revision: 140918
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import ktb


* Thu Aug 24 2006 Stew Benedict <sbenedict@mandriva.com> 1.04-8mdv2007.0
- xdg menu

* Tue Jan 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.04-7mdk
- Add buildRequires

* Mon Jan 23 2006 Stew Benedict <sbenedict@mandriva.com> 1.04-6mdk
- fix buildrequires
  apparently they aren't redundant since it no longer builds

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.04-5mdk
- Remove redundant Buildrequires

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.04-4mdk
- Fix Buildrequires
- Use mkrel

* Mon May  9 2005 Stew Benedict <sbenedict@mandrakesoft.com> 1.04-3mdk 
- fix 64bit build, section

* Fri Jun  4 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.04-2mdk 
- rebuild for new libstdc++, gcc, fix menu entry

* Mon Jan 19 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.04-1mdk 
- first mandrake packaging
- temporary icons until author comes up with something

* Wed Oct 29 2003 Rudolf Koenig <r_dot_koenig_at_koeniglich.de>
- Rpm

